spring:
  application:
    name: user-service
  profiles:
    active: @env@
server:
  port: 18083
  servlet:
    context-path: /api
springdoc:
  api-docs:
    enabled: true
    path: /v3/api-docs
  default-flat-param-object: true
  swagger-ui:
    path: /swagger-ui.html
    tags-sorter: alpha
    operations-sorter: alpha
  group-configs:
    - group: 'default'
      paths-to-match: '/**'
      packages-to-scan: cn.meowrain.aioj.backend.userservice.controller
knife4j:
  basic:
    enable: true
  setting:
    language: zh_cn
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:/mapper/**/*.xml
aioj:
  log:
    enabled: true
    max-length: 20000